/***************************************************************************
 *   Copyright (C) 2008 by BogDan Vatra                                    *
 *   bogdan@licentia.eu                                                    *
 *                                                                         *
 *   This program is free software: you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#ifndef BARCODERENDER_H
#define BARCODERENDER_H
#include <QImage>
#include "zint.h"
QImage renderBarecode(const QString & text, QString * error=0, const QString & primaryMessage=QString(),  int symbol=BARCODE_CODE128, int frame=0, int height=50, int width=0, int security_level=-1, int whitespace_width=0, int boder_width=0, int pdf417CodeWords=928, QRgb fgcolor=qRgb(0, 0, 0), QRgb bgcolor=qRgb(0xff, 0xff, 0xff));
#endif
