/***************************************************************************
 *   Copyright (C) 2007 by BogDan Vatra                                    *
 *   taipan@bigendian.ro                                                   *
 *                                                                         *
 *   This program is free software: you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/
#include <QSqlRecord>
#include <QDebug>

#include "sqlquery.h"
namespace Report
{
SqlQuery::SqlQuery(QObject *parent)
		: QObject(parent), QSqlQuery()
{
}


SqlQuery::~SqlQuery()
{
}


bool SqlQuery::exec()
{
	return QSqlQuery::exec();
}

bool SqlQuery::exec(const QString & query)
{
	return QSqlQuery::exec(query);
}

void SqlQuery::bindValue(const QString & placeholder, const QVariant & val, QSql::ParamType paramType)
{
	QSqlQuery::bindValue(placeholder, val, paramType);
}

void SqlQuery::bindValue(int pos, const QVariant & val, QSql::ParamType paramType)
{
	QSqlQuery::bindValue(pos, val, paramType);
}

bool SqlQuery::first()
{
	return QSqlQuery::first();
}

bool SqlQuery::last()
{
	return QSqlQuery::last();
}

bool SqlQuery::next()
{
	return QSqlQuery::next();
}

bool SqlQuery::previous()
{
	return QSqlQuery::previous();
}

bool SqlQuery::prepare(const QString & query)
{
	return QSqlQuery::prepare(query);
}

bool SqlQuery::seek(int index, bool relative)
{
	return QSqlQuery::seek(index, relative);
}

int SqlQuery::size()
{
	return QSqlQuery::size();
}

QVariant SqlQuery::value(int index) const
{
	return QSqlQuery::value(index);
}

QVariant SqlQuery::value(const QString & field) const
{
	return record().value(field);
}
}
